import request from "@/utils/request";
const api = "/mosty-api/mosty-yjzl";

// 分页查询
export function getYJModelList(params) {
    return request({
      url: api + '/tbYjmx',
      method: 'GET',
      params
    })
  }

//新增
export function addYJmodel(data) {
    return request({
      url: api + '/tbYjmx',
      method: "post",
      data
    })
  }

  //修改
export function putYJmodel(data) {
    return request({
      url: api + '/tbYjmx',
      method: "PUT",
      data
    })
  }

  //删除
export function delYJModel(id) {
    return request({
        url: api + `/tbYjmx/${id}`,
        method: "delete"
    })
}

// 模型参数
// 查询
export function getCsList(params) {
    return request({
      url: api + '/tbYjmxCsb',
      method: 'GET',
      params
    })
  }

// 新增
export function addCs(data) {
    return request({
      url: api + '/tbYjmxCsb',
      method: "post",
      data
    })
  }

//   修改
export function putCs(data) {
    return request({
      url: api + '/tbYjmxCsb',
      method: "PUT",
      data
    })
  }

//   删除
export function delCs(id) {
    return request({
        url: api + `/tbYjmxCsb/${id}`,
        method: "delete"
    })
}

// 启动停止
export function getCsDTQZ(id) {
    return request({
      url: api + `/tbYjmx/${id}`,
      method: 'GET'
    })
  }
